package cz.fi.muni.controller;
import cz.fi.muni.FieldController;


import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.web.servlet.WebMvcTest;
import org.springframework.http.MediaType;
import org.springframework.test.web.servlet.MockMvc;
import static org.junit.jupiter.api.Assertions.assertTrue;
import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.get;
import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.patch;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.jsonPath;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.status;

@WebMvcTest(controllers = FieldController.class)
public class FieldControllerTest {
    @Autowired
    private MockMvc mockMvc;

    @Test
    void getField() throws Exception {
        mockMvc.perform(get("/field/123")
                        .contentType(MediaType.APPLICATION_JSON_VALUE)
                        .accept(MediaType.APPLICATION_JSON_VALUE))
                .andExpect(status().isOk())

        ;
    }

    @Test
    void getAllFields() throws Exception {
        mockMvc.perform(get("/fields")
                        .contentType(MediaType.APPLICATION_JSON_VALUE)
                        .accept(MediaType.APPLICATION_JSON_VALUE))
                .andExpect(status().isOk());
    }

    @Test
    void newField() throws Exception {
        assertTrue(true);
    }

    @Test
    void editField() throws Exception {
        assertTrue(true);

    }
}
